///File : App.hpp
//------------------------------------------------------------------------------
/*
    This file is part of LCDnurse.

    LCDnurse is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    LCDnurse is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with LCDnurse.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
//------------------------------------------------------------------------------
#include <wx/intl.h>
#include <wx/stdpaths.h>
//------------------------------------------------------------------------------
#include "config.hpp"
#include "findFile.hpp"
#include "MainFrame.hpp"
//------------------------------------------------------------------------------

#if not defined APP_HPP_LCD_NURSE
#define APP_HPP_LCD_NURSE

class App : public wxApp
{
public:
    virtual bool OnInit();
private:
    wxLocale m_locale;
};
//------------------------------------------------------------------------------

#endif //APP_HPP_LCD_NURSE
